Bug 189760 - Shortcut keys in Bengali are not properly translated.
Shortcut keys in Bengali are not properly translated.
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Translation
Depends On:
  Show dependency treegraph
Reported: 2006-04-24 09:40 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.0.2-5.9.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-03 03:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a screenshot (38.37 KB, image/png)
2006-04-24 14:00 EDT, Caolan McNamara
no flags Details
screenshot of OOo in pa_IN locale (86.09 KB, image/png)
2006-04-25 02:38 EDT, Lawrence Lim
no flags Details
screenshot of oowriter editor with English Shortcut keys (69.84 KB, image/jpeg)
2006-04-27 09:57 EDT, Satyabrata Maitra
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 64726 None None None Never
OpenOffice.org 64743 None None None Never

  None (edit)
Description Satyabrata Maitra 2006-04-24 09:40:32 EDT
Description of problem:

Shortcut keys in Bengali Language (bn_IN) are not properly translated. The
Shortcut keys should be written in English rather than Bengali.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open oowriter.
2.Observe the Menu and Sub Menu item shortcut keys.
Actual results:
The shortcut keys are translated in Bengali.

Expected results:
The shortcut keys should be written in English.

Additional info:
Comment 1 Caolan McNamara 2006-04-24 09:59:54 EDT
I don't do the actual Bengali translations myself, can you describe the bug in a
way which I can log a bug against the OpenOffice.org Bengali translators ?

Is the problem that the short-cut translations are simply wrong ? All of them ?,
or just some of them ? I think it is normal for the shortcuts to be described in
the localized translations rather than english, e.g "stgt + L" in German for
english "ctrl + L" so I'd expect the shortcut keys to be described in Bengali
Comment 2 Caolan McNamara 2006-04-24 14:00:20 EDT
Created attachment 128156 [details]
a screenshot

This is how it looks for me. Is this the way it looks for you ?
Comment 3 Lawrence Lim 2006-04-25 02:38:25 EDT
Created attachment 128179 [details]
screenshot of OOo in pa_IN locale
Comment 4 Lawrence Lim 2006-04-25 02:57:44 EDT
RE: Comment #2

I notice 2 bugs in the screenshot.

1. I guess is the objective of this current bug, to have the shortcut in english
rather than in native indic. For CJKI, due to the number of characters set, and
different keyboard layout, language maintainers are encourage to leave the en
shortcut keys unchanged. (see attachment from Comment #3)

2. Rendering of indic characters, especially composed chars. Are the "()" fixed
width? From the screenshot, it is sitting in the middle of the indic char. On
the sub-menu, where there is a Ctrl-N shortcut, the forth shortcut for oodraw,
lies a composed char, the closing bracket ')' is in the middle of the composed char.

Comment 5 Caolan McNamara 2006-04-25 04:48:18 EDT
1. OK, I understand now. Makes sense, I see that bn is the only Indic
translation which has done this ill-advised translation of the shortcuts.
http://bn.openoffice.org/issues/show_bug.cgi?id=64726 Perhaps I can fix some of
the major toplevel ones myself, but upstream will have to do the full review/fix
2. I'll look into that, you can work around by disabling
"tools->openoffice.org->view->Use system font for user interface"
Comment 6 Caolan McNamara 2006-04-25 07:52:03 EDT
I've now a patch for the bad placement of glyphs in the menus, which looks good.
See http://www.openoffice.org/issues/show_bug.cgi?id=64743
Comment 7 Caolan McNamara 2006-04-25 11:34:44 EDT
Oky doky, lets try out my mini-"untranslation" of the bn UI shortcuts
localization file
Comment 8 Lawrence Lim 2006-04-26 19:45:42 EDT
Oh my, is there anything else your patch can fixed. ;-)
Comment 9 Lawrence Lim 2006-04-26 19:50:20 EDT
Runa, further to our conversation earlier on the shortcut keys with GTK, please
take note that of the shortcut in OOo as well.
Comment 10 Jamil Ahmed 2006-04-27 03:32:53 EDT
>> Shortcut keys in Bengali Language (bn_IN) are not properly translated.

FYI, actually the translations were not done for bn_IN. It was done for bn by
Ankur group, which works for bn_BD and bn_IN.
Comment 11 Caolan McNamara 2006-04-27 03:43:10 EDT
"ooo64726.sdf" in the openoffice.org spec is my simple translation sdf for these
shortcuts. Build is available as -12 in rawhide or -8 in fc5-testing-updates.
Comment 12 Satyabrata Maitra 2006-04-27 09:58:00 EDT
Created attachment 128307 [details]
screenshot of oowriter editor with English Shortcut keys
Comment 13 Satyabrata Maitra 2006-04-27 10:03:08 EDT
Excellent! in Openoffice.org-writer-2.0.2-5.12.3 version, the most of the
Shortcut keys are showing in English. Caolan, Thanks for ur great response.
Comment 14 Runa Bhattacharjee 2007-11-21 01:08:36 EST
Adding Jamil to the cc-list of this bug. We shall take the shortcut issue
forward within the bn.openoffice.org group.
Comment 15 Caolan McNamara 2007-11-21 03:17:18 EST
This *fedora* bug was fixed some years ago, and is closed. You need to get
bn.openoffice.org to be aware of these upstream bugs logged against them...


To get the fedora fixes merged into the upstream version. I can even take care
of checking in fixes upstream if someone from the bn.openoffice.org group agrees
that the solutions attached to those issues are the right ones.

Note You need to log in before you can comment on or make changes to this bug.